Subject: using MH folders... the continuing saga (Summary and a new query)

From: [email-masked] (Andreas Fuchsberger)
Date: 22 Dec 1994 18:57:20 GMT

(For those interested, the story so far)

I wanted to get Pine to read MH style folders, (this I managed to
figure out myself) and to be able to move (ie S save in Pine-speak)
messages from my INBOX to a folder. In response to my first query I
received the following reply.

(BTW thanks to Alan Thew <[email-masked]> for the following:)

> Make sure that you have the full path of your MH folders in your
> .mh_profile with the Path variable (first), and use the line
>
> folder-collections=#mh/[]
> 
> in your .pinerc  (this works for me).

What I forgot to add in my first query is that I use PC-Pine to read
and administor my email when working on a PC. This means I run
imapd on the UNIX host email is delivered to. The appropriate lines
from PINERC (on the PC) read:

inbox-path={omega.dcs.rhbnc.ac.uk}INBOX

folder-collections={omega.dcs.rhbnc.ac.uk}#mh/[]

Everything works fine, I can read and delete messages from the INBOX,
I can open an MH style folder and read and delete messages, BUT I
can't save messages from INBOX to an MH style folder. If I hit 's' and
enter an existing folder name (eg cc) I get

Folder "cc" doesn't exist.  Create? 

with 'y' I get 

 [CREATE failed: Can't create mailbox #mh/cc: mailbox already exists]

Now, interestingly enough I can save (ie move) messages from one MH
style folder to another! Ie opening an MH style folder and using save
to another MH style folder works as expected.

Upon further investigation, I can reproduce this behaviour if I use
Pine on the UNIX box where I have my home account by setting the two
entries in my .pinerc as detailed above. This obviously means that the
problem dosen't lie with PC-Pine.

On a related note, I only have one INBOX in my Folder List, I'm
missing the MH inbox folder. Ihere is here of course a confilct as
Pine refers to the actual maildrop as the INBOX, whereas MH uses inbox
to be the the default folder. 

Any ideas?

Please email me a copy of any suggestions, I'm away until Next Year!

Thanks,